#include "Live555RtspPusher.h"

Live555RtspPusher::Live555RtspPusher(boost::asio::io_context &ioContext) : m_ioContext(ioContext), m_socket(ioContext) {
    using boost::asio::ip::udp;
    m_socket.open(udp::v4());
}

void Live555RtspPusher::push(const uint8_t *data, uint32_t size) {
    using boost::asio::ip::udp;
    udp::endpoint point(udp::v4(), 6666);
    m_socket.send_to(boost::asio::const_buffer(data, size), point);
}
